- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
evas_3d_material Struct Reference

## Public Member Functions
| evas_3d_material (Eo *eo)
| Eo Constructor. More...
| evas_3d_material (std::nullptr_t)
| nullptr_t Constructor. More...
| evas_3d_material (efl::eo::parent_type _p=(efl::eo::parent=nullptr))
| Call the object's constructor. More...
| evas_3d_material (evas_3d_material const &other)
| Copy Constructor.
void | update_notify () const
| Pure virtual update_notify function. More...
void | change_notify (Evas_3D_State state_, Evas_3D_Object *ref_) const
| Pure virtual change_notify function. More...
bool | enable_get (Evas_3D_Material_Attrib attrib_) const
void | enable_set (Evas_3D_Material_Attrib attrib_, bool enable_) const
Evas_Real | shininess_get () const
void | shininess_set (Evas_Real shininess_) const
Evas_3D_Texture * | texture_get (Evas_3D_Material_Attrib attrib_) const
void | texture_set (Evas_3D_Material_Attrib attrib_, Evas_3D_Texture *texture_) const
| Set the texture of the given material. More...
void | color_set (Evas_3D_Material_Attrib attrib_, Evas_Real r_, Evas_Real g_, Evas_Real b_, Evas_Real a_) const
void | color_get (Evas_3D_Material_Attrib attrib_, Evas_Real *r_, Evas_Real *g_, Evas_Real *b_, Evas_Real *a_) const
Public Member Functions inherited from evas_3d_object
| evas_3d_object (Eo *eo)
| Eo Constructor. More...
| evas_3d_object (std::nullptr_t)
| nullptr_t Constructor. More...
| evas_3d_object (efl::eo::parent_type _p=(efl::eo::parent=nullptr))
| Call the object's constructor. More...
| evas_3d_object (evas_3d_object const &other)
| Copy Constructor.
Evas * | evas_get () const
| No description supplied by the EAPI. More...
void | change (Evas_3D_State state_, Evas_3D_Object *ref_) const
| Notify the object regarding its state change. More...
Evas_3D_Object_Type | type_get () const
| Returns the type of the object.
void | type_set (Evas_3D_Object_Type type_) const
| Returns the type of the object. More...
bool | dirty_get (Evas_3D_State state_) const
| Returns the status of a particular state of the object. More...
void | update () const
| Update request for the object.
Public Member Functions inherited from efl::eo::base
| base (Eo *eo)
| Class constructor. More...
| ~base ()
| Class destructor.
| base (base const &other)
| base (base &&other)
base & | operator= (base const &other)
| Assignment operator.
base & | operator= (base &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this wrapper object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (base parent)
| Set the parent of this object. More...
eina::optional< base > | parent_get ()
| Get the parent of this object. More...
void | base_data_set (const char *key, const void *data,::eo_key_data_free_func func)
| Set generic data to object. More...
void * | base_data_get (const char *key)
| Get generic data from object. More...
void | base_data_del (const char *key)
| Delete generic data from object. More...
void | event_freeze ()
| Freeze any event directed to this object. More...
void | event_thaw ()
| Thaw the events of this object. More...
int | event_freeze_get ()
| Get the event freeze count for this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const

## Static Public Member Functions
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas_3d_object
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::base
Eo * | _eo_raw
| The opaque EO Object.

## Constructor & Destructor Documentation

evas_3d_material::evas_3d_material | ( | Eo * | eo | ) |
| inline explicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

evas_3d_material::evas_3d_material | ( | std::nullptr_t |  | ) |
| inline explicit

nullptr_t Constructor.

Constructs an empty (null) object.

evas_3d_material::evas_3d_material | ( | efl::eo::parent_type | _p = `(efl::eo::parent = nullptr)` | ) |
| inline

Call the object's constructor.

Should not be used with #eo_do. Only use it with #eo_do_super.

## Member Function Documentation

void evas_3d_material::update_notify | ( |  | ) | const
| inline

Pure virtual update_notify function.

Update request for the object.

References efl::eo::base::_eo_ptr().

void evas_3d_material::change_notify | ( | Evas_3D_State | state_,
|  | Evas_3D_Object * | ref_
| ) |  | const
| inline

Pure virtual change_notify function.

Update request for the object.

Parameters

  state | State that is changed
  ref | The Object that caused the change

References efl::eo::base::_eo_ptr().

bool evas_3d_material::enable_get | ( | Evas_3D_Material_Attrib | attrib_ | ) | const
| inline

Parameters

  enable | Whether to enable the attribute (`EINA_TRUE`), or not (`EINA_FALSE`).

References efl::eo::base::_eo_ptr().

void evas_3d_material::enable_set | ( | Evas_3D_Material_Attrib | attrib_,
|  | bool | enable_
| ) |  | const
| inline

Parameters

  enable | Whether to enable the attribute (`EINA_TRUE`), or not (`EINA_FALSE`).

References efl::eo::base::_eo_ptr().

Evas_Real evas_3d_material::shininess_get | ( |  | ) | const
| inline

Parameters

  shininess | Shininess value.

References efl::eo::base::_eo_ptr().

void evas_3d_material::shininess_set | ( | Evas_Real | shininess_ | ) | const
| inline

Parameters

  shininess | Shininess value.

References efl::eo::base::_eo_ptr().

Evas_3D_Texture* evas_3d_material::texture_get | ( | Evas_3D_Material_Attrib | attrib_ | ) | const
| inline

Parameters

  texture |

References efl::eo::base::_eo_ptr().

void evas_3d_material::color_set | ( | Evas_3D_Material_Attrib | attrib_,
|  | Evas_Real | r_,
|  | Evas_Real | g_,
|  | Evas_Real | b_,
|  | Evas_Real | a_
| ) |  | const
| inline

Parameters

  attrib | Material attribute ID.
  r | Red component of the color.
  g | Green component of the color.
  b | Blue component of the color.
  a | Alpha component of the color.

References efl::eo::base::_eo_ptr().

void evas_3d_material::color_get | ( | Evas_3D_Material_Attrib | attrib_,
|  | Evas_Real * | r_,
|  | Evas_Real * | g_,
|  | Evas_Real * | b_,
|  | Evas_Real * | a_
| ) |  | const
| inline

Parameters

  | attrib | Material attribute ID.
  [out] | r | Pointer to receive red component of the color.
  [out] | g | Pointer to receive green component of the color.
  [out] | b | Pointer to receive blue component of the color.
  [out] | a | Pointer to receive alpha component of the color.

References efl::eo::base::_eo_ptr().